Subject: [Sipping] draft-wu-sipping-floor-control-02.txt (SIP/SDP usage for SOAP sessions)

From: "Neil Deason" <[email-masked]>
Date: Thu, 26 Dec 2002 13:16:27 -0800

Section 2.2 of draft-wu-sipping-floor-control-02 gives the following
example of SDP to establish a SOAP-based conference floor control
channel. (This really comes down to more of a SDP issue, but it arises
from a SIPPING related ID so I have taken the liberty of posting here.)

   v=0
   o=Foo 289083124 289083124 IN IP4 foo.example.com
   t=0 0
   c=IN IP4 224.2.17.12/127
   a=type:moderated
   a=group:FL 1 2 4
   a=group:FL 3 5
   m=audio 10000 RTP/AVP 0
   a=mid:1
   m=video 20000 RTP/AVP 31
   a=mid:2
   m=application 30000 udp wb
   a=mid:3
   m=control 80 HTTP SOAP
   a=mid:4
   m=control 5060 SIP SOAP
   a=mid:5

This SDP would presumably be sent back in SIP 200 OK response to a user
joining a conference.

A limitation of the above is that is does not relay any information to
the conference user regarding the HTTP URL or SIP URL to use for the
control channels. Strictly speaking, as the only connection information
is described at the session level, the control channels could even
naively be inferred as http://224.2.17.12 and sip:224.2.17.12. I am
guessing this is not the intention.

(There are also some minor nits in the SDP in that the mandatory s= line
is missing, the media format for SOAP should be expressed as a MIME
content-type and unless 'Foo' is a username login at foo.example.com the
username in the origin line should be '-'.)

An alternative form of SDP for SOAP would entail overriding the session
level connection description with a media level null value and providing
a URL in an "a=control:" attribute. This is similar to how RTSP uses
SDP. Rewriting the above example this way would give:

    v=0
    o=- 289083124 289083124 IN IP4 foo.example.com
    s=-
    t=0 0
    c=IN IP4 224.2.17.12/127
    a=type:moderated
    a=group:FL 1 2 4
    a=group:FL 3 5
    m=audio 10000 RTP/AVP 0
    a=mid:1
    m=video 20000 RTP/AVP 31
    a=mid:2
    m=application 30000 udp wb
    a=mid:3
    m=control 80 HTTP application/soap+xml
    c=IN IP4 0.0.0.0
    a=control:http://foo.example.com/avcontrol
    a=wsdl:http://schemas.example.com/audiovideocontrol.wsdl
    a=mid:4
    m=control 5060 SIP application/soap+xml
    c=IN IP4 0.0.0.0
    a=control:sip:[email-masked]
    a=wsdl:http://schemas.example.com/whiteboardcontrol.wsdl
    a=mid:5

(Note: I have also added "a=wsdl:" attributes as a way to link to WSDL
documents defining the SOAP messaging.)

Cheers,
Neil.
--
Neil Deason                             3 Lagoon Drive
[email-masked]                    Suite 345
Ubiquity Software Corporation           Redwood City
http://www.ubiquity.net                 CA 94065 USA

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP